Get a single assistant by ID
curl --request GET \
--url https://pria.praxislxp.com/api/user/assistant/{id} \
--header 'x-access-token: <api-key>'import requests
url = "https://pria.praxislxp.com/api/user/assistant/{id}"
headers = {"x-access-token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-access-token': '<api-key>'}};
fetch('https://pria.praxislxp.com/api/user/assistant/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"_id": "<string>",
"name": "<string>",
"description": "<string>",
"instructions": "<string>",
"picture_url": "<string>",
"liked_count": 123,
"admin_only": true,
"institution_shared": true,
"account_shared": true,
"editable_others": true,
"remember_history": 123,
"ragEnabled": true,
"bypassSystemContext": true,
"conversationModel": "<string>",
"stsConversationModel": "<string>",
"argument_5": "<string>",
"user": "<string>",
"institution": "<string>",
"user_data": {
"email": "<string>",
"fname": "<string>",
"lname": "<string>",
"institution": "<string>",
"accountType": "<string>"
},
"institution_data": {
"name": "<string>",
"ainame": "<string>",
"status": "<string>",
"picture": "<string>"
},
"account_data": {
"_id": "<string>",
"name": "<string>",
"status": "<string>"
},
"created": "2023-11-07T05:31:56Z"
}
}{
"success": false,
"error": {},
"message": "Invalid Assistant Id"
}{
"success": false,
"message": "Authentication Required"
}{
"success": false,
"message": "Not authorized to view this assistant"
}{
"success": false,
"message": "Assistant not found"
}Assistants
Get a single assistant by ID
Retrieves a single assistant by its ObjectId. Accessible to (a) the assistant owner, (b) admin users with the relevant entitlement on the assistant’s institution, or (c) super users. Standard users who don’t own the assistant get 403. The response includes populated user_data (email, fname, lname, institution, accountType), institution_data (name, ainame, status, picture), and account_data (name, status) objects. For non-super users viewing system assistants (user=null), the instructions field is omitted.
GET
/
api
/
user
/
assistant
/
{id}
Get a single assistant by ID
Authorizations
JWT token passed in x-access-token header
Path Parameters
The ObjectId of the assistant to retrieve
Was this page helpful?
⌘I